/*
Theme Name: CasinoTop10 2026
Theme URI: https://www.casinotop10.net/
Description: Child theme for CasinoTop10
Author: casinotop10
Author URI: https://www.casinotop10.net/
Template: satellite-sites-starter-2025
Version: 1.0.1
License: MIT
License URI: https://opensource.org/licenses/MIT
Text Domain: casinotop10
*/


/**
 * Child Theme Stylesheet
 * 
 * Theme: CasinoTop10
 * Site: CasinoTop10.net
 * Version: 1.0.1
 */

.header__logo img, .header__logo svg {
	width: 110px !important;
}

.mb-0 {
	margin-bottom: 0 !important;
}

.wp-block-media-text.has-background {
	padding: 24px;
}

.wp-block-tiptip-hyperlink-group-block[style*="--color-bkg"] {
	padding: 20px;
	border-radius: 4px;
	height: 100%;
	width: 100%;
}


.pink-bg {
	background-color: #E229EC;
	padding: 0 12px;
	border-radius: 6px;
}


p.has-text-align-center > img {
	display: inline-block;
	margin-bottom: 5px;
}


.wp-block-table.is-style-stripes {
    border-bottom: 1px solid var(--sk-table-border);
}

.sk-wp-editor .wp-block-gallery, .sk-wp-editor ol:not(.custom-block *) li, .sk-wp-editor ul:not(.custom-block *) li {
    margin-bottom: 8px !important;
}


.footer__regulations {
	justify-content: center;
}

/* Customization for links row block on front-page */
.links-row > *{
	display: flex;
	padding: 16px;
	border-radius: 4px;
	border: 1px solid #DCDCDC;
	flex: 1;
	justify-content: center;
	white-space: nowrap;
}

.links-row > p {
	color: #25202999;
	font-weight: 600;
	font-size: var(--sk-text-base-size);
	transform: none !important;
}

.links-row > a {
	text-decoration: none !important;
}

.links-row > a > p {
	color:  #252029;
	font-size: var(--sk-text-base-size);
	font-weight: 600;
	line-height: 23px; /* 143.75% */
}


/* Certificate of trust block on front-page */
.trust-certificate {
	min-height: fit-content !important;
	padding: 32px;
	margin-top: 40px;
}

.trust-certificate h3 {
	margin-bottom: 12px !important;
}

.trust-certificate .wp-block-cover__inner-container {
	max-width: 770px;
}

.trust-certificate .wp-block-cover__inner-container > p {
	font-size: var(--sk-text-xs);
	line-height: 18px;
}

.trust-certificate .wp-block-cover__background {
	opacity: 0 !important;
}

/* Info block */
.info-block {
	padding: 32px;
	margin-bottom: 16px;
}

.info-block h3 {
	margin-bottom: 4px !important;
}

.info-block .wp-block-columns,
.info-block .wp-block-list {
	margin-bottom: 0;
}

.info-block img {
	border-radius: 4px;
}

/* Slots gallery */
.slots-gallery .wp-block-image {
	margin-bottom: 0 !important;
}

.slots-gallery img {
	border-radius: 4px;
	height: 170px !important;
    object-fit: cover;
	box-sizing: border-box;
	transition-duration: .4s !important;
    transition-property: all !important;
    transition-timing-function: ease-in-out !important;
}

.main-page.internal .main-page__blocks,
.single-article__grid .sk-wp-editor{
	border-radius: 4px;
    background: #181C31;
	padding: 16px;
}

.page-id-9638 .main-page.internal .main-page__blocks {
	border-radius: 0;
    background: transparent;
	padding: 0 !important;
}

body:not(.page-id-313) {
	background-color: #101324 !important; 
}

.footer__menu-wrapper {
    grid-template-columns: repeat(auto-fit, minmax(240px, 1fr)) !important;
}

.footer__menu-wrapper .nav-footer ul {
	padding: 0 16px;
}

.footer__menu-title {
	padding: 10px 16px;
	border-radius: 4px;
    background: #1C1F2F;
}

.footer.large .footer__menu-title {
	opacity: 1;
}

@media (min-width: 992px) {
	.main-page.internal .main-page__blocks {
		padding: 32px;
	}
	
    .footer.large {
        padding: 32px 0 16px;
    }
	
	.footer__regulations-wrapper {
		margin-top: 20px;
	}
	
	.footer__bottom-wrapper {
		padding-top: 32px;
	}
	
	.links-row > *:hover {
		transform: scale(1.05);
	}
	
	.slots-gallery img:hover {
		transform: scale(1.05);
	}
}

@media (min-width: 1280px) {
    .nav-main a {
        font-size: 14px;
    }
	
	.nav-main li.level-0>a {
        padding: 15px 10px;
    }
	
	.footer__social-links-list {
        grid-template-columns: repeat(auto-fill, 36px);
    }
}

.wp-block-columns.info-cards {
	gap: 8px;
}

.wp-block-group.has-text-color * {
	color: inherit;
}

.wp-block-separator {
	border-top: 1px solid rgba(255, 255, 255, 0.10);

}

.has-strong-blue-color {
    color: #262C48;
}

.has-strong-blue-background-color {
    background-color: #262C48;
}

.has-blue-color {
    color: #12A6F4;
}

.has-blue-background-color {
    background-color: #12A6F4;
}
